Commit 00f0cf37 authored by Eric BENARD's avatar Eric BENARD Committed by Otavio Salvador

imx-base: provide right package for amd-gpu-bin if x11 is disabled

so that users don't have to customize it outside,
else we get very stranges errors like :
ERROR: Multiple versions of mesa are due to be built
(/scratch/openembedded-core/meta/recipes-graphics/mesa/mesa_git.bb
/scratch/openembedded-core/meta/recipes-graphics/mesa/mesa_9.1.6.bb).
Only one version of a given PN should be built in any given build.
You likely need to set PREFERRED_VERSION_mesa to select the correct
version or don't depend on multiple versions.
Signed-off-by: 's avatarEric Bénard <eric@eukrea.com>
parent 60b2189d
......@@ -78,9 +78,10 @@ MACHINE_GSTREAMER_PLUGIN_mx3 ?= ""
MACHINE_GSTREAMER_PLUGIN_vf60 ?= ""
# mx5 GPU libraries
PREFERRED_PROVIDER_virtual/egl_mx5 ?= "amd-gpu-x11-bin-mx51"
PREFERRED_PROVIDER_virtual/libgles1_mx5 ?= "amd-gpu-x11-bin-mx51"
PREFERRED_PROVIDER_virtual/libgles2_mx5 ?= "amd-gpu-x11-bin-mx51"
GPU_FLAVOUR = "${@base_contains('DISTRO_FEATURES', 'x11', 'x11-', '', d)}"
PREFERRED_PROVIDER_virtual/egl_mx5 ?= "amd-gpu-${GPU_FLAVOUR}bin-mx51"
PREFERRED_PROVIDER_virtual/libgles1_mx5 ?= "amd-gpu-${GPU_FLAVOUR}bin-mx51"
PREFERRED_PROVIDER_virtual/libgles2_mx5 ?= "amd-gpu-${GPU_FLAVOUR}bin-mx51"
# mx6 GPU libraries
PREFERRED_PROVIDER_virtual/egl_mx6 ?= "gpu-viv-bin-mx6q"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment